#include <iostream>
#include <algorithm>
#include <numeric>
#include <vector>
using namespace std;

void search(vector<int> u, int val) {
	auto it = find(u.begin(), u.end(), val);
	if(it != u.end()) {
		cout << "Found: " << *it << endl;
	} else {
		cout << "Element: " << val << " not found" << endl;
	}
}

int main() {
	vector<int> u(5);
	iota(u.begin(), u.end(), 1);	//	1, 2, 3, 4, 5

	search(u, 3);
	search(u, 8);

	auto it = find_if(u.begin(), u.end(), [](int n) { return n > 3; });
	cout << "The first number > 3 is: " << *it << endl;
	fill(u.begin(), u.begin()+3, 7);
	cout << "Number of 7's is: " << count(u.begin(), u.end(), 7) << endl;
	cout << "Number of elements < 7 is: " << count_if(u.begin(), u.end(), [](int n) { return n < 7; }) << endl;

	return 0;
}

